%define version 2.04
%define SOVER %{version}

%define __soext a
%define __mansec 1
%define __manext 1

Summary: Dis45 - Interactive Histogram Browser
Name: dis45
Version: %{version}
Release: 10.10%{?dist}12a
License: PEP4/LBL and TOPAZ/KEK
Group: Applications/Math
Source0: dis45-%{version}.tar.gz
Source1: com_cli-%{version}.tar.gz
Patch0:  dis45-%{version}-gfortran.patch
Patch1:  com_cli-%{version}-gfortran.patch
Packager: Keifuke Fujii <keisuke.fujii@kek.jp>
BuildRoot: %{_tmppath}/%{name}-root

%description
dis45 is a command-driven interactive histogram browsing program based
on CERN libraries.

%prep
%setup -n dis45-v%{version} -q -c -a 1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,lib,share/man/man%{__mansec}}

cd dis45/%{version}
%patch0 -p2 -b .gfort
cd ../../com_cli/%{version}
%patch1 -p2 -b .gfort
cd ../..


%build
cd com_cli/%{version}
export IMAKEINCLUDE='-I/usr/osxws/share/X11/config'
xmkmf -a
make FC='gfortran' CC='gcc' CCOPTIONS='-O -Wall'
cd ../../dis45/%{version}
xmkmf -a
export IMAKEINCLUDE='-I/usr/osxws/share/X11/config'
make FC='gfortran' CC='gcc' CCOPTIONS='-O -Wall' EXTRA_LDOPTIONS='-L/usr/X11R6/lib -Wl,-no_pie'
cd ../..

%install
cd dis45/%{version}
install -c -m 755 dis45x $RPM_BUILD_ROOT%{_prefix}/bin/dis45

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/bin/dis45
%doc dis45/%{version}/doc

%changelog
* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.10hepx12a
- 1st build and release of v.2.04 built on MacOSX 10.10 for Intel Macs

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.9hepx1b
- 2nd build and release of v.2.04 built on MacOSX 10.9 for Intel Macs

* Thu Nov 21 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.9hepx1a
- 1st build and release of v.2.04 built on MacOSX 10.9 for Intel Macs

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.7hepx1a
- 1st release of v.2.04 built on MacOSX 10.7 for Intel Macs
- now build for x86_64

* Tue Jan 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.6hepx1d
- 4th release of v.2.04 built on MacOSX 10.6 for Intel Macs
- rebuilt with gcc4.5.1 and libgfortran.dylib

* Sat Nov 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.6hepx1c
- 3rd release of v.2.04 built on MacOSX 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Fri Oct  1 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.6hepx1b
- 2nd release of v.2.04 built on MacOSX 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Sun Mar  7 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.6hepx1a
- 1st release of v.2.04 built on MacOSX 10.6 for Intel Macs

* Sat Mar 22 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-10.5hepx1a
- 1st release of v.2.04 built on MacOSX 10.5 for Intel Macs

* Wed Mar 19 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-hepx1a
- 1st release of v.2.04 built on MacOSX 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1d
- 3rd release of v.2.04 built on MacOSX 10.4 for Intel Macs

* Fri Dec 01 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1c
- 2nd release of v.2.04 built on MacOSX 10.4 for Intel Macs
- rebuilt to link against readline5.

* Fri Oct 06 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1b
- 1st release of v.2.04 built on MacOSX 10.4 for Intel Macs

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 2.04-1a
- 1st release of v.2.04 built on MacOSX 10.4

* Wed Sep 28 2005 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release built on MacOSX 10.4

* Tue Jan 13 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release built on MacOSX 10.3

* Wed Sep 11 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Sat Apr 28 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

